Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network241.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
241.232.0.0
Broadcast address
241.239.255.255
First usable
241.232.0.1
Last usable
241.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F1E80000 · Integer 4058513408 to 4059037695
Reverse DNS zones
232.241.in-addr.arpa
233.241.in-addr.arpa
234.241.in-addr.arpa
235.241.in-addr.arpa
236.241.in-addr.arpa
237.241.in-addr.arpa
238.241.in-addr.arpa
239.241.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110001.11101000.00000000.00000000241.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110001.11101000.00000000.00000000241.232.0.0
Broadcast11110001.11101111.11111111.11111111241.239.255.255
Split into smaller subnets/21

241.232.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1241.232.0.0/21241.232.0.1 to 241.232.7.254241.232.7.2552,046
2241.232.8.0/21241.232.8.1 to 241.232.15.254241.232.15.2552,046
3241.232.16.0/21241.232.16.1 to 241.232.23.254241.232.23.2552,046
4241.232.24.0/21241.232.24.1 to 241.232.31.254241.232.31.2552,046
5241.232.32.0/21241.232.32.1 to 241.232.39.254241.232.39.2552,046
6241.232.40.0/21241.232.40.1 to 241.232.47.254241.232.47.2552,046
7241.232.48.0/21241.232.48.1 to 241.232.55.254241.232.55.2552,046
8241.232.56.0/21241.232.56.1 to 241.232.63.254241.232.63.2552,046
9241.232.64.0/21241.232.64.1 to 241.232.71.254241.232.71.2552,046
10241.232.72.0/21241.232.72.1 to 241.232.79.254241.232.79.2552,046
11241.232.80.0/21241.232.80.1 to 241.232.87.254241.232.87.2552,046
12241.232.88.0/21241.232.88.1 to 241.232.95.254241.232.95.2552,046
13241.232.96.0/21241.232.96.1 to 241.232.103.254241.232.103.2552,046
14241.232.104.0/21241.232.104.1 to 241.232.111.254241.232.111.2552,046
15241.232.112.0/21241.232.112.1 to 241.232.119.254241.232.119.2552,046
16241.232.120.0/21241.232.120.1 to 241.232.127.254241.232.127.2552,046
17241.232.128.0/21241.232.128.1 to 241.232.135.254241.232.135.2552,046
18241.232.136.0/21241.232.136.1 to 241.232.143.254241.232.143.2552,046
19241.232.144.0/21241.232.144.1 to 241.232.151.254241.232.151.2552,046
20241.232.152.0/21241.232.152.1 to 241.232.159.254241.232.159.2552,046
21241.232.160.0/21241.232.160.1 to 241.232.167.254241.232.167.2552,046
22241.232.168.0/21241.232.168.1 to 241.232.175.254241.232.175.2552,046
23241.232.176.0/21241.232.176.1 to 241.232.183.254241.232.183.2552,046
24241.232.184.0/21241.232.184.1 to 241.232.191.254241.232.191.2552,046
25241.232.192.0/21241.232.192.1 to 241.232.199.254241.232.199.2552,046
26241.232.200.0/21241.232.200.1 to 241.232.207.254241.232.207.2552,046
27241.232.208.0/21241.232.208.1 to 241.232.215.254241.232.215.2552,046
28241.232.216.0/21241.232.216.1 to 241.232.223.254241.232.223.2552,046
29241.232.224.0/21241.232.224.1 to 241.232.231.254241.232.231.2552,046
30241.232.232.0/21241.232.232.1 to 241.232.239.254241.232.239.2552,046
31241.232.240.0/21241.232.240.1 to 241.232.247.254241.232.247.2552,046
32241.232.248.0/21241.232.248.1 to 241.232.255.254241.232.255.2552,046
33241.233.0.0/21241.233.0.1 to 241.233.7.254241.233.7.2552,046
34241.233.8.0/21241.233.8.1 to 241.233.15.254241.233.15.2552,046
35241.233.16.0/21241.233.16.1 to 241.233.23.254241.233.23.2552,046
36241.233.24.0/21241.233.24.1 to 241.233.31.254241.233.31.2552,046
37241.233.32.0/21241.233.32.1 to 241.233.39.254241.233.39.2552,046
38241.233.40.0/21241.233.40.1 to 241.233.47.254241.233.47.2552,046
39241.233.48.0/21241.233.48.1 to 241.233.55.254241.233.55.2552,046
40241.233.56.0/21241.233.56.1 to 241.233.63.254241.233.63.2552,046
41241.233.64.0/21241.233.64.1 to 241.233.71.254241.233.71.2552,046
42241.233.72.0/21241.233.72.1 to 241.233.79.254241.233.79.2552,046
43241.233.80.0/21241.233.80.1 to 241.233.87.254241.233.87.2552,046
44241.233.88.0/21241.233.88.1 to 241.233.95.254241.233.95.2552,046
45241.233.96.0/21241.233.96.1 to 241.233.103.254241.233.103.2552,046
46241.233.104.0/21241.233.104.1 to 241.233.111.254241.233.111.2552,046
47241.233.112.0/21241.233.112.1 to 241.233.119.254241.233.119.2552,046
48241.233.120.0/21241.233.120.1 to 241.233.127.254241.233.127.2552,046
49241.233.128.0/21241.233.128.1 to 241.233.135.254241.233.135.2552,046
50241.233.136.0/21241.233.136.1 to 241.233.143.254241.233.143.2552,046
51241.233.144.0/21241.233.144.1 to 241.233.151.254241.233.151.2552,046
52241.233.152.0/21241.233.152.1 to 241.233.159.254241.233.159.2552,046
53241.233.160.0/21241.233.160.1 to 241.233.167.254241.233.167.2552,046
54241.233.168.0/21241.233.168.1 to 241.233.175.254241.233.175.2552,046
55241.233.176.0/21241.233.176.1 to 241.233.183.254241.233.183.2552,046
56241.233.184.0/21241.233.184.1 to 241.233.191.254241.233.191.2552,046
57241.233.192.0/21241.233.192.1 to 241.233.199.254241.233.199.2552,046
58241.233.200.0/21241.233.200.1 to 241.233.207.254241.233.207.2552,046
59241.233.208.0/21241.233.208.1 to 241.233.215.254241.233.215.2552,046
60241.233.216.0/21241.233.216.1 to 241.233.223.254241.233.223.2552,046
61241.233.224.0/21241.233.224.1 to 241.233.231.254241.233.231.2552,046
62241.233.232.0/21241.233.232.1 to 241.233.239.254241.233.239.2552,046
63241.233.240.0/21241.233.240.1 to 241.233.247.254241.233.247.2552,046
64241.233.248.0/21241.233.248.1 to 241.233.255.254241.233.255.2552,046
65241.234.0.0/21241.234.0.1 to 241.234.7.254241.234.7.2552,046
66241.234.8.0/21241.234.8.1 to 241.234.15.254241.234.15.2552,046
67241.234.16.0/21241.234.16.1 to 241.234.23.254241.234.23.2552,046
68241.234.24.0/21241.234.24.1 to 241.234.31.254241.234.31.2552,046
69241.234.32.0/21241.234.32.1 to 241.234.39.254241.234.39.2552,046
70241.234.40.0/21241.234.40.1 to 241.234.47.254241.234.47.2552,046
71241.234.48.0/21241.234.48.1 to 241.234.55.254241.234.55.2552,046
72241.234.56.0/21241.234.56.1 to 241.234.63.254241.234.63.2552,046
73241.234.64.0/21241.234.64.1 to 241.234.71.254241.234.71.2552,046
74241.234.72.0/21241.234.72.1 to 241.234.79.254241.234.79.2552,046
75241.234.80.0/21241.234.80.1 to 241.234.87.254241.234.87.2552,046
76241.234.88.0/21241.234.88.1 to 241.234.95.254241.234.95.2552,046
77241.234.96.0/21241.234.96.1 to 241.234.103.254241.234.103.2552,046
78241.234.104.0/21241.234.104.1 to 241.234.111.254241.234.111.2552,046
79241.234.112.0/21241.234.112.1 to 241.234.119.254241.234.119.2552,046
80241.234.120.0/21241.234.120.1 to 241.234.127.254241.234.127.2552,046
81241.234.128.0/21241.234.128.1 to 241.234.135.254241.234.135.2552,046
82241.234.136.0/21241.234.136.1 to 241.234.143.254241.234.143.2552,046
83241.234.144.0/21241.234.144.1 to 241.234.151.254241.234.151.2552,046
84241.234.152.0/21241.234.152.1 to 241.234.159.254241.234.159.2552,046
85241.234.160.0/21241.234.160.1 to 241.234.167.254241.234.167.2552,046
86241.234.168.0/21241.234.168.1 to 241.234.175.254241.234.175.2552,046
87241.234.176.0/21241.234.176.1 to 241.234.183.254241.234.183.2552,046
88241.234.184.0/21241.234.184.1 to 241.234.191.254241.234.191.2552,046
89241.234.192.0/21241.234.192.1 to 241.234.199.254241.234.199.2552,046
90241.234.200.0/21241.234.200.1 to 241.234.207.254241.234.207.2552,046
91241.234.208.0/21241.234.208.1 to 241.234.215.254241.234.215.2552,046
92241.234.216.0/21241.234.216.1 to 241.234.223.254241.234.223.2552,046
93241.234.224.0/21241.234.224.1 to 241.234.231.254241.234.231.2552,046
94241.234.232.0/21241.234.232.1 to 241.234.239.254241.234.239.2552,046
95241.234.240.0/21241.234.240.1 to 241.234.247.254241.234.247.2552,046
96241.234.248.0/21241.234.248.1 to 241.234.255.254241.234.255.2552,046
97241.235.0.0/21241.235.0.1 to 241.235.7.254241.235.7.2552,046
98241.235.8.0/21241.235.8.1 to 241.235.15.254241.235.15.2552,046
99241.235.16.0/21241.235.16.1 to 241.235.23.254241.235.23.2552,046
100241.235.24.0/21241.235.24.1 to 241.235.31.254241.235.31.2552,046
101241.235.32.0/21241.235.32.1 to 241.235.39.254241.235.39.2552,046
102241.235.40.0/21241.235.40.1 to 241.235.47.254241.235.47.2552,046
103241.235.48.0/21241.235.48.1 to 241.235.55.254241.235.55.2552,046
104241.235.56.0/21241.235.56.1 to 241.235.63.254241.235.63.2552,046
105241.235.64.0/21241.235.64.1 to 241.235.71.254241.235.71.2552,046
106241.235.72.0/21241.235.72.1 to 241.235.79.254241.235.79.2552,046
107241.235.80.0/21241.235.80.1 to 241.235.87.254241.235.87.2552,046
108241.235.88.0/21241.235.88.1 to 241.235.95.254241.235.95.2552,046
109241.235.96.0/21241.235.96.1 to 241.235.103.254241.235.103.2552,046
110241.235.104.0/21241.235.104.1 to 241.235.111.254241.235.111.2552,046
111241.235.112.0/21241.235.112.1 to 241.235.119.254241.235.119.2552,046
112241.235.120.0/21241.235.120.1 to 241.235.127.254241.235.127.2552,046
113241.235.128.0/21241.235.128.1 to 241.235.135.254241.235.135.2552,046
114241.235.136.0/21241.235.136.1 to 241.235.143.254241.235.143.2552,046
115241.235.144.0/21241.235.144.1 to 241.235.151.254241.235.151.2552,046
116241.235.152.0/21241.235.152.1 to 241.235.159.254241.235.159.2552,046
117241.235.160.0/21241.235.160.1 to 241.235.167.254241.235.167.2552,046
118241.235.168.0/21241.235.168.1 to 241.235.175.254241.235.175.2552,046
119241.235.176.0/21241.235.176.1 to 241.235.183.254241.235.183.2552,046
120241.235.184.0/21241.235.184.1 to 241.235.191.254241.235.191.2552,046
121241.235.192.0/21241.235.192.1 to 241.235.199.254241.235.199.2552,046
122241.235.200.0/21241.235.200.1 to 241.235.207.254241.235.207.2552,046
123241.235.208.0/21241.235.208.1 to 241.235.215.254241.235.215.2552,046
124241.235.216.0/21241.235.216.1 to 241.235.223.254241.235.223.2552,046
125241.235.224.0/21241.235.224.1 to 241.235.231.254241.235.231.2552,046
126241.235.232.0/21241.235.232.1 to 241.235.239.254241.235.239.2552,046
127241.235.240.0/21241.235.240.1 to 241.235.247.254241.235.247.2552,046
128241.235.248.0/21241.235.248.1 to 241.235.255.254241.235.255.2552,046
129241.236.0.0/21241.236.0.1 to 241.236.7.254241.236.7.2552,046
130241.236.8.0/21241.236.8.1 to 241.236.15.254241.236.15.2552,046
131241.236.16.0/21241.236.16.1 to 241.236.23.254241.236.23.2552,046
132241.236.24.0/21241.236.24.1 to 241.236.31.254241.236.31.2552,046
133241.236.32.0/21241.236.32.1 to 241.236.39.254241.236.39.2552,046
134241.236.40.0/21241.236.40.1 to 241.236.47.254241.236.47.2552,046
135241.236.48.0/21241.236.48.1 to 241.236.55.254241.236.55.2552,046
136241.236.56.0/21241.236.56.1 to 241.236.63.254241.236.63.2552,046
137241.236.64.0/21241.236.64.1 to 241.236.71.254241.236.71.2552,046
138241.236.72.0/21241.236.72.1 to 241.236.79.254241.236.79.2552,046
139241.236.80.0/21241.236.80.1 to 241.236.87.254241.236.87.2552,046
140241.236.88.0/21241.236.88.1 to 241.236.95.254241.236.95.2552,046
141241.236.96.0/21241.236.96.1 to 241.236.103.254241.236.103.2552,046
142241.236.104.0/21241.236.104.1 to 241.236.111.254241.236.111.2552,046
143241.236.112.0/21241.236.112.1 to 241.236.119.254241.236.119.2552,046
144241.236.120.0/21241.236.120.1 to 241.236.127.254241.236.127.2552,046
145241.236.128.0/21241.236.128.1 to 241.236.135.254241.236.135.2552,046
146241.236.136.0/21241.236.136.1 to 241.236.143.254241.236.143.2552,046
147241.236.144.0/21241.236.144.1 to 241.236.151.254241.236.151.2552,046
148241.236.152.0/21241.236.152.1 to 241.236.159.254241.236.159.2552,046
149241.236.160.0/21241.236.160.1 to 241.236.167.254241.236.167.2552,046
150241.236.168.0/21241.236.168.1 to 241.236.175.254241.236.175.2552,046
151241.236.176.0/21241.236.176.1 to 241.236.183.254241.236.183.2552,046
152241.236.184.0/21241.236.184.1 to 241.236.191.254241.236.191.2552,046
153241.236.192.0/21241.236.192.1 to 241.236.199.254241.236.199.2552,046
154241.236.200.0/21241.236.200.1 to 241.236.207.254241.236.207.2552,046
155241.236.208.0/21241.236.208.1 to 241.236.215.254241.236.215.2552,046
156241.236.216.0/21241.236.216.1 to 241.236.223.254241.236.223.2552,046
157241.236.224.0/21241.236.224.1 to 241.236.231.254241.236.231.2552,046
158241.236.232.0/21241.236.232.1 to 241.236.239.254241.236.239.2552,046
159241.236.240.0/21241.236.240.1 to 241.236.247.254241.236.247.2552,046
160241.236.248.0/21241.236.248.1 to 241.236.255.254241.236.255.2552,046
161241.237.0.0/21241.237.0.1 to 241.237.7.254241.237.7.2552,046
162241.237.8.0/21241.237.8.1 to 241.237.15.254241.237.15.2552,046
163241.237.16.0/21241.237.16.1 to 241.237.23.254241.237.23.2552,046
164241.237.24.0/21241.237.24.1 to 241.237.31.254241.237.31.2552,046
165241.237.32.0/21241.237.32.1 to 241.237.39.254241.237.39.2552,046
166241.237.40.0/21241.237.40.1 to 241.237.47.254241.237.47.2552,046
167241.237.48.0/21241.237.48.1 to 241.237.55.254241.237.55.2552,046
168241.237.56.0/21241.237.56.1 to 241.237.63.254241.237.63.2552,046
169241.237.64.0/21241.237.64.1 to 241.237.71.254241.237.71.2552,046
170241.237.72.0/21241.237.72.1 to 241.237.79.254241.237.79.2552,046
171241.237.80.0/21241.237.80.1 to 241.237.87.254241.237.87.2552,046
172241.237.88.0/21241.237.88.1 to 241.237.95.254241.237.95.2552,046
173241.237.96.0/21241.237.96.1 to 241.237.103.254241.237.103.2552,046
174241.237.104.0/21241.237.104.1 to 241.237.111.254241.237.111.2552,046
175241.237.112.0/21241.237.112.1 to 241.237.119.254241.237.119.2552,046
176241.237.120.0/21241.237.120.1 to 241.237.127.254241.237.127.2552,046
177241.237.128.0/21241.237.128.1 to 241.237.135.254241.237.135.2552,046
178241.237.136.0/21241.237.136.1 to 241.237.143.254241.237.143.2552,046
179241.237.144.0/21241.237.144.1 to 241.237.151.254241.237.151.2552,046
180241.237.152.0/21241.237.152.1 to 241.237.159.254241.237.159.2552,046
181241.237.160.0/21241.237.160.1 to 241.237.167.254241.237.167.2552,046
182241.237.168.0/21241.237.168.1 to 241.237.175.254241.237.175.2552,046
183241.237.176.0/21241.237.176.1 to 241.237.183.254241.237.183.2552,046
184241.237.184.0/21241.237.184.1 to 241.237.191.254241.237.191.2552,046
185241.237.192.0/21241.237.192.1 to 241.237.199.254241.237.199.2552,046
186241.237.200.0/21241.237.200.1 to 241.237.207.254241.237.207.2552,046
187241.237.208.0/21241.237.208.1 to 241.237.215.254241.237.215.2552,046
188241.237.216.0/21241.237.216.1 to 241.237.223.254241.237.223.2552,046
189241.237.224.0/21241.237.224.1 to 241.237.231.254241.237.231.2552,046
190241.237.232.0/21241.237.232.1 to 241.237.239.254241.237.239.2552,046
191241.237.240.0/21241.237.240.1 to 241.237.247.254241.237.247.2552,046
192241.237.248.0/21241.237.248.1 to 241.237.255.254241.237.255.2552,046
193241.238.0.0/21241.238.0.1 to 241.238.7.254241.238.7.2552,046
194241.238.8.0/21241.238.8.1 to 241.238.15.254241.238.15.2552,046
195241.238.16.0/21241.238.16.1 to 241.238.23.254241.238.23.2552,046
196241.238.24.0/21241.238.24.1 to 241.238.31.254241.238.31.2552,046
197241.238.32.0/21241.238.32.1 to 241.238.39.254241.238.39.2552,046
198241.238.40.0/21241.238.40.1 to 241.238.47.254241.238.47.2552,046
199241.238.48.0/21241.238.48.1 to 241.238.55.254241.238.55.2552,046
200241.238.56.0/21241.238.56.1 to 241.238.63.254241.238.63.2552,046
201241.238.64.0/21241.238.64.1 to 241.238.71.254241.238.71.2552,046
202241.238.72.0/21241.238.72.1 to 241.238.79.254241.238.79.2552,046
203241.238.80.0/21241.238.80.1 to 241.238.87.254241.238.87.2552,046
204241.238.88.0/21241.238.88.1 to 241.238.95.254241.238.95.2552,046
205241.238.96.0/21241.238.96.1 to 241.238.103.254241.238.103.2552,046
206241.238.104.0/21241.238.104.1 to 241.238.111.254241.238.111.2552,046
207241.238.112.0/21241.238.112.1 to 241.238.119.254241.238.119.2552,046
208241.238.120.0/21241.238.120.1 to 241.238.127.254241.238.127.2552,046
209241.238.128.0/21241.238.128.1 to 241.238.135.254241.238.135.2552,046
210241.238.136.0/21241.238.136.1 to 241.238.143.254241.238.143.2552,046
211241.238.144.0/21241.238.144.1 to 241.238.151.254241.238.151.2552,046
212241.238.152.0/21241.238.152.1 to 241.238.159.254241.238.159.2552,046
213241.238.160.0/21241.238.160.1 to 241.238.167.254241.238.167.2552,046
214241.238.168.0/21241.238.168.1 to 241.238.175.254241.238.175.2552,046
215241.238.176.0/21241.238.176.1 to 241.238.183.254241.238.183.2552,046
216241.238.184.0/21241.238.184.1 to 241.238.191.254241.238.191.2552,046
217241.238.192.0/21241.238.192.1 to 241.238.199.254241.238.199.2552,046
218241.238.200.0/21241.238.200.1 to 241.238.207.254241.238.207.2552,046
219241.238.208.0/21241.238.208.1 to 241.238.215.254241.238.215.2552,046
220241.238.216.0/21241.238.216.1 to 241.238.223.254241.238.223.2552,046
221241.238.224.0/21241.238.224.1 to 241.238.231.254241.238.231.2552,046
222241.238.232.0/21241.238.232.1 to 241.238.239.254241.238.239.2552,046
223241.238.240.0/21241.238.240.1 to 241.238.247.254241.238.247.2552,046
224241.238.248.0/21241.238.248.1 to 241.238.255.254241.238.255.2552,046
225241.239.0.0/21241.239.0.1 to 241.239.7.254241.239.7.2552,046
226241.239.8.0/21241.239.8.1 to 241.239.15.254241.239.15.2552,046
227241.239.16.0/21241.239.16.1 to 241.239.23.254241.239.23.2552,046
228241.239.24.0/21241.239.24.1 to 241.239.31.254241.239.31.2552,046
229241.239.32.0/21241.239.32.1 to 241.239.39.254241.239.39.2552,046
230241.239.40.0/21241.239.40.1 to 241.239.47.254241.239.47.2552,046
231241.239.48.0/21241.239.48.1 to 241.239.55.254241.239.55.2552,046
232241.239.56.0/21241.239.56.1 to 241.239.63.254241.239.63.2552,046
233241.239.64.0/21241.239.64.1 to 241.239.71.254241.239.71.2552,046
234241.239.72.0/21241.239.72.1 to 241.239.79.254241.239.79.2552,046
235241.239.80.0/21241.239.80.1 to 241.239.87.254241.239.87.2552,046
236241.239.88.0/21241.239.88.1 to 241.239.95.254241.239.95.2552,046
237241.239.96.0/21241.239.96.1 to 241.239.103.254241.239.103.2552,046
238241.239.104.0/21241.239.104.1 to 241.239.111.254241.239.111.2552,046
239241.239.112.0/21241.239.112.1 to 241.239.119.254241.239.119.2552,046
240241.239.120.0/21241.239.120.1 to 241.239.127.254241.239.127.2552,046
241241.239.128.0/21241.239.128.1 to 241.239.135.254241.239.135.2552,046
242241.239.136.0/21241.239.136.1 to 241.239.143.254241.239.143.2552,046
243241.239.144.0/21241.239.144.1 to 241.239.151.254241.239.151.2552,046
244241.239.152.0/21241.239.152.1 to 241.239.159.254241.239.159.2552,046
245241.239.160.0/21241.239.160.1 to 241.239.167.254241.239.167.2552,046
246241.239.168.0/21241.239.168.1 to 241.239.175.254241.239.175.2552,046
247241.239.176.0/21241.239.176.1 to 241.239.183.254241.239.183.2552,046
248241.239.184.0/21241.239.184.1 to 241.239.191.254241.239.191.2552,046
249241.239.192.0/21241.239.192.1 to 241.239.199.254241.239.199.2552,046
250241.239.200.0/21241.239.200.1 to 241.239.207.254241.239.207.2552,046
251241.239.208.0/21241.239.208.1 to 241.239.215.254241.239.215.2552,046
252241.239.216.0/21241.239.216.1 to 241.239.223.254241.239.223.2552,046
253241.239.224.0/21241.239.224.1 to 241.239.231.254241.239.231.2552,046
254241.239.232.0/21241.239.232.1 to 241.239.239.254241.239.239.2552,046
255241.239.240.0/21241.239.240.1 to 241.239.247.254241.239.247.2552,046
256241.239.248.0/21241.239.248.1 to 241.239.255.254241.239.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses